summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--parsing/parse.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/parsing/parse.sh b/parsing/parse.sh
index 56a1d39..654199b 100644
--- a/parsing/parse.sh
+++ b/parsing/parse.sh
@@ -401,7 +401,9 @@ parse()
# If this returns (does not exit), there are no errors.
while complete_command; do :; done
- expect T_EOF
+ if ! accept T_EOF; then
+ synexp ''
+ fi
get_tokens